Bug 815059 - Kernel update breaks broadcom wifi BCM4313
Kernel update breaks broadcom wifi BCM4313
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 05:15 EDT by Ankur Sinha (FranciscoD)
Modified: 2012-06-28 15:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 08:49:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-04-22 05:15:36 EDT
Description of problem:
After the latest kernel update, my broadcom wifi does not work.

Version-Release number of selected component (if applicable):
kernel-3.3.1-5.fc17.x86_64
kernel-3.3.2-1.fc17.x86_64
kernel-3.3.2-8.fc17.x86_64

Linux ankur.pc 3.3.2-8.fc17.x86_64 #1 SMP Sat Apr 21 12:44:25 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Anlways


Steps to Reproduce:
1.Update kernel to 3.3.2-8
2.reboot
3.
  
Actual results:
wifi is "not available" any more

Expected results:
wifi should work (worked with previous kernel)

Additional info:

[root@ankur ~]# lsmod | egrep bc
bcma                   30183  1 brcmsmac

12:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)
Comment 1 Arend van Spriel 2012-04-23 04:40:19 EDT
What kernel version were you using before the update?
Comment 2 Ankur Sinha (FranciscoD) 2012-04-23 08:49:14 EDT
As per https://bugzilla.redhat.com/show_bug.cgi?id=812506#c10 restarting NetworkManager got wireless working again:

systemctl restart NetworkManager.service

Not a kernel bug. Closing :)

Ankur

Note You need to log in before you can comment on or make changes to this bug.